org.keycloak.protocol.oidc

## Class OIDCLoginProtocolFactory

- java.lang.Object
- - org.keycloak.protocol.AbstractLoginProtocolFactory
  - - org.keycloak.protocol.oidc.OIDCLoginProtocolFactory

- All Implemented Interfaces:
    LoginProtocolFactory, ProviderFactory<LoginProtocol>

      public class OIDCLoginProtocolFactory
      extends AbstractLoginProtocolFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMAIL`
    `static String` | `EMAIL_CONSENT_TEXT`
    `static String` | `EMAIL_VERIFIED`
    `static String` | `EMAIL_VERIFIED_CONSENT_TEXT`
    `static String` | `FAMILY_NAME`
    `static String` | `FAMILY_NAME_CONSENT_TEXT`
    `static String` | `FULL_NAME`
    `static String` | `FULL_NAME_CONSENT_TEXT`
    `static String` | `GIVEN_NAME`
    `static String` | `GIVEN_NAME_CONSENT_TEXT`
    `static String` | `USERNAME`
    `static String` | `USERNAME_CONSENT_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCLoginProtocolFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDefaults(ClientModel client)`
    `LoginProtocol` | `create(KeycloakSession session)`
    `Object` | `createProtocolEndpoint(RealmModel realm, EventBuilder event, AuthenticationManager authManager)`
    `List<ProtocolMapperModel>` | `getBuiltinMappers()` List of built in protocol mappers that can be used to apply to clients.
    `List<ProtocolMapperModel>` | `getDefaultBuiltinMappers()` List of mappers, which are added to new clients by default
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.protocol.AbstractLoginProtocolFactory

      `close, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERNAME

          public static final String USERNAME

      See Also:
        Constant Field Values

    - #### EMAIL

          public static final String EMAIL

      See Also:
        Constant Field Values

    - #### EMAIL_VERIFIED

          public static final String EMAIL_VERIFIED

      See Also:
        Constant Field Values

    - #### GIVEN_NAME

          public static final String GIVEN_NAME

      See Also:
        Constant Field Values

    - #### FAMILY_NAME

          public static final String FAMILY_NAME

      See Also:
        Constant Field Values

    - #### FULL_NAME

          public static final String FULL_NAME

      See Also:
        Constant Field Values

    - #### USERNAME_CONSENT_TEXT

          public static final String USERNAME_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### EMAIL_CONSENT_TEXT

          public static final String EMAIL_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### EMAIL_VERIFIED_CONSENT_TEXT

          public static final String EMAIL_VERIFIED_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### GIVEN_NAME_CONSENT_TEXT

          public static final String GIVEN_NAME_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_CONSENT_TEXT

          public static final String FAMILY_NAME_CONSENT_TEXT

      See Also:
        Constant Field Values

    - #### FULL_NAME_CONSENT_TEXT

          public static final String FULL_NAME_CONSENT_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OIDCLoginProtocolFactory

          public OIDCLoginProtocolFactory()

  - ### Method Detail

    - #### create

          public LoginProtocol create(KeycloakSession session)

    - #### getBuiltinMappers

          public List<ProtocolMapperModel> getBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of built in protocol mappers that can be used to apply to clients.
      Returns:

    - #### getDefaultBuiltinMappers

          public List<ProtocolMapperModel> getDefaultBuiltinMappers()

      Description copied from interface: `LoginProtocolFactory`
      List of mappers, which are added to new clients by default
      Returns:

    - #### addDefaults

          protected void addDefaults(ClientModel client)

      Specified by:
        `addDefaults` in class `AbstractLoginProtocolFactory`

    - #### createProtocolEndpoint

          public Object createProtocolEndpoint(RealmModel realm,
                                      EventBuilder event,
                                      AuthenticationManager authManager)

    - #### getId

          public String getId()

Copyright © 2015. All rights reserved.